Installer - Bug #8308

Installing Foreman 1.6 on RHEL 7.0 fails
11/06/2014 12:57 PM - Jan Pazdziora

Status: Closed

Priority: High

Assignee: Dominic Cleal

Category: Foreman modules

Target version: 1.6.3

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Running fb-install-foreman.bats to install Foreman 1.6 on RHEL 7.0 fails with

# [ERROR 2014-11-06 10:32:14 verbose] Repeating errors encountered during run:

# [ERROR 2014-11-06 10:32:14 verbose] Could not set 'present' on ensure: ApipieBindings::MissingA
rgumentsError at 12:/usr/share/foreman-installer/modules/foreman_proxy/manifests/register.pp

# [ERROR 2014-11-06 10:32:14 verbose] Could not set 'present' on ensure: ApipieBindings::MissingA
rgumentsError at 12:/usr/share/foreman—-installer/modules/foreman_proxy/manifests/register.pp

# [ERROR 2014-11-06 10:32:14 verbose] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[idm
-ge-05.lab.eng.rdu2.redhat.com] /ensure: change from absent to present failed: Could not set 'prese
nt' on ensure: ApipieBindings::MissingArgumentsError at 12:/usr/share/foreman-installer/modules/fo
reman_proxy/manifests/register.pp

# [ERROR 2014-11-06 10:32:14 verbose] /Stage[main] /Foreman_proxy: :Register/Foreman_smartproxy [idm
—-ge—-05.1lab.eng.rdu2.redhat.com]: Failed to call refresh: missing param 'id' in parameters

# [ERROR 2014-11-06 10:32:14 verbose] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[idm
—-ge-05.1lab.eng.rdu2.redhat.com]: missing param 'id' in parameters

Related issues:
Copied to Katello - Bug #8423: Installing Katello 2.0 on RHEL 7.0 fails Closed 11/06/2014

History

#1 - 11/06/2014 02:39 PM - Jan Pazdziora

Foreman nightly on RHEL 7 installs just fine.
#2 - 11/06/2014 03:41 PM - Kyle Vitale
Jan Pazdziora wrote:

Foreman nightly on RHEL 7 installs just fine.

It fails with the same error on CentOS 7, minimal install, all updates applied.

#3 - 11/07/2014 05:27 AM - Dominic Cleal
- Category set to Foreman modules

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Priority changed from Normal to High

- Target version setto 1.7.2

- translation missing: en.field_release set to 27

Fixed in puppet-foreman 2.2.4, but | need to release foreman-installer 1.6.3.

https://github.com/theforeman/puppet-foreman/commit/9c85bcbb4{8cacf33a822b3406fed5476c6fcal?
https://github.com/theforeman/puppet-foreman/commit/9c85bcbb4f8cacf33a822b3406fed5476c6fca17

#4 - 11/12/2014 04:14 AM - Dominic Cleal
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

#5 - 11/17/2014 08:56 AM - Justin Sherrill
- Copied to Bug #8423: Installing Katello 2.0 on RHEL 7.0 fails added

#6 - 11/17/2014 10:16 AM - Dominic Cleal

Workaround with yum downgrade rubygem-apipie-bindings-0.0.8 before running the installer.
